General
cancel
Showing results for 
Search instead for 
Did you mean: 

No ssh2 support for PHP within HPUX 11.31??

Knud
Occasional Advisor

No ssh2 support for PHP within HPUX 11.31??

Hello,

with HPUX 11.31 running on PA RISC machine, I treid to enable ssh2 support for PHP performing the following steps:

tar -xvf libssh2-1.2.8-20110304.tar

cd libssh2-1.2.8

./configure CC=/opt/hp-gcc64-4.4.5/bin/gcc --with-openssl=/opt/openssl --prefix=/usr/lib/pa20_64
make CC=/opt/hp-gcc64-4.4.5/bin/gcc
make install

cd ..

tar -xvf ssh2-0.11.2.tar

cd ssh2-0.11.2

/opt/hpws22/apache/php/bin/phpize
./configure CC=/opt/hp-gcc64-4.4.5/bin/gcc --with-ssh2=/usr/lib/pa20_64 --with-php-config= /opt/hpws22/apache/php/bin/php-config
make CC=/opt/hp-gcc64-4.4.5/bin/gcc
make install

so that the file ssh2.sl was generated and copied to

/opt/hpws22/apache/php/lib/php/extensions/
no-debug-zts-20060613

AFter copying this file to the default PHP extension directory

/opt/hpws22/apache/php/lib/php/extensions

and enabling loading of dynamic extension ssh2.sl, no ssh2 support for PHP is displayed within phpinfo().

I'd be glad if someone tells me what's wrong or has an idea how to provide ssh2 support for PHP.